import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/csc-szls-system-manage/public/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/vue-element-admin/user/info',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/vue-element-admin/user/logout',
    method: 'post'
  })
}




//用户字典列表
// export function userDic(params) {
//   return request({
//     url: `/csc-szls-system-manage/user/authority/getAll`,
//     method: 'get',
//     params
//   })
// }


//  库字典
export function deportDic() {
  return request({
    url: `/csc-szls-system-manage/basicsDepot/authority/getAllMAP`,
    method: 'get',

  })
}



// 仓房字典
export function hourseDic() {
  return request({
    url: `/csc-szls-system-manage/basicsWarehouse/authority/getAllMAP`,
    method: 'get',

  })
}

// 人员字典
export function personDic(params) {
  return request({
    url: `/csc-szls-system-manage/user/authority/getAll`,
    method: 'get',
    params
  })
}

// 部门字典

export function departDic() {
  return request({
    url: `/csc-szls-system-manage/sysDepartment/authority/getAllMAP`,
    method: 'get',
  
  })
}

